Bug 838905 - *.tar.lzo archives aren't visible in file-roller Open dialog when 'All archives' filter is active
*.tar.lzo archives aren't visible in file-roller Open dialog when 'All archiv...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: shared-mime-info (Show other bugs)
7.0
x86_64 Linux
low Severity low
: beta
: 7.0
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 08:08 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:00:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2012-07-10 08:08:14 EDT
Description of problem:
Created *.tar.lzo archive with file-roller and tried to open it by file-roller again, but it's not listed there if there is filter "all archives" (but it definitely should be, it's archive created with the very same file-roller)

Version-Release number of selected component (if applicable):
file-roller-3.4.2-1.el7.x86_64
shared-mime-info-1.0-4.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. create any *.tar.lzo archive
2. open file-roller, click Open and move to the location, where the archive should be
3. be sure you have set All archives file type filter
  
Actual results:
*.tar.lzo archive is not shown there

Expected results:
there should be all *.tar.lzo archives besides other archives

Additional info:
This is the same as with *.ar file type (bz838849), there isn't *.ar file listed neither, but this time there is file-roller set as default app for running *.tar.lzo.
Comment 1 Matthias Clasen 2012-10-29 19:04:21 EDT
Those mimetypes that file-roller claims to support need to be added to /usr/share/mime/packages/freedesktop.org.xml in order for the mime type to have a glob pattern associated.

The mime types I find in file-roller, but not in shared-mime-info are:

application/x-7z-compressed-tar
application/x-ar
application/x-bzip1
application/x-bzip1-compressed-tar
application/x-cabinet
application/x-compress
application/x-ear
application/x-lzip-compressed-tar
application/x-lzop-compressed-tar
application/x-rzip
application/x-war
Comment 2 Bastien Nocera 2012-11-05 03:00:37 EST
Built in Fedora as shared-mime-info-1.0-6.fc18
Comment 3 Vladimir Benes 2013-04-10 07:35:28 EDT
this is now visible for file-roller, nevertheless, it can't be extracted. Bug filed here: 950515
Comment 4 Ludek Smid 2014-06-13 06:00:28 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.